Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.convert
Class ConversionFailedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.core.convert.ConversionException
                          org.springframework.core.convert.ConversionFailedException

All Implemented Interfaces:
  java.io.Serializable

    public final class ConversionFailedException

extends ConversionException

Exception to be thrown when an actual type conversion attempt fails.

Since:
  3.0
Author:
  Keith Donald, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`ConversionFailedException(TypeDescriptor sourceType, TypeDescriptor targetType, java.lang.Object value, java.lang.Throwable cause)` Create a new conversion exception.

Method Summary
`TypeDescriptor` | `getSourceType()` Return the source type we tried to convert the value from.
`TypeDescriptor` | `getTargetType()` Return the target type we tried to convert the value to.
`java.lang.Object` | `getValue()` Return the offending value.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionFailedException

    public ConversionFailedException(TypeDescriptor sourceType,
                                     TypeDescriptor targetType,
                                     java.lang.Object value,
                                     java.lang.Throwable cause)

  Create a new conversion exception.

  Parameters:
    `sourceType` - the value's original type
    `targetType` - the value's target type
    `value` - the value we tried to convert
    `cause` - the cause of the conversion failure

Method Detail

### getSourceType

    public TypeDescriptor getSourceType()

  Return the source type we tried to convert the value from.

### getTargetType

    public TypeDescriptor getTargetType()

  Return the target type we tried to convert the value to.

### getValue

    public java.lang.Object getValue()

  Return the offending value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD